aim4.im.v2i.reservation

## Class AczManager

- java.lang.Object
- - aim4.im.v2i.reservation.AczManager

- All Implemented Interfaces:
    ReservationManager<AczManager.Query,AczManager.Plan,Integer>

      public class AczManager
      extends Object
      implements ReservationManager<AczManager.Query,AczManager.Plan,Integer>

  The ACZ manager.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AczManager.Plan` The plan of the reservation.
    `static class` | `AczManager.Query` The query for the ACZ manager.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AczManager(AdmissionControlZone acz)` Create a ACZ manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `accept(AczManager.Plan plan)` Accept the proposed plan.
    `void` | `cancel(Integer vin)` Cancel the reservation.
    `AczManager.Plan` | `query(AczManager.Query q)` Make a query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AczManager

          public AczManager(AdmissionControlZone acz)

      Create a ACZ manager.
      Parameters:
        `acz` - the ACZ

  - ### Method Detail

    - #### query

          public AczManager.Plan query(AczManager.Query q)

      Make a query.
      Specified by:
        `query` in interface `ReservationManager<AczManager.Query,AczManager.Plan,Integer>`
      Parameters:
        `q` - the query
      Returns:
        the plan generated to achieve the query; null if no plan is found.

    - #### accept

          public Integer accept(AczManager.Plan plan)

      Accept the proposed plan.
      Specified by:
        `accept` in interface `ReservationManager<AczManager.Query,AczManager.Plan,Integer>`
      Parameters:
        `plan` - the plan genreated by query()
      Returns:
        the ticket of this reservation

    - #### cancel

          public void cancel(Integer vin)

      Cancel the reservation.
      Specified by:
        `cancel` in interface `ReservationManager<AczManager.Query,AczManager.Plan,Integer>`
      Parameters:
        `vin` - the reservation

Copyright © 2013. All rights reserved.